Skip to main content

Get fiscal day details

GET https://pos.paysera.com/eapi/v1/cash-registers/{number}/fiscal-day/{id}

Retrieve detailed information about a specific fiscal day.

A fiscal day represents a complete day of operations for the cash register, including all transactions and totals.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
numberstring✓The number of the cash register
idinteger✓The ID of the financial document

Errors​

This endpoint may return the following errors:

400 - Bad Request​

The request was invalid or cannot be served.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Fiscal day not found

This error indicates the requested resource was not found.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/cash-registers/{number}/fiscal-day/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"id": 1,
"type": "fiscalDay",
"status": "unsynced",
"fiscalDayNumber": 1,
"documentNumber": "123",
"cashRegistrationNumber": "CR-000000001",
"totalSalesAmount": "1000.00",
"totalSalesTaxAmount": "150.00",
"totalBuyingAmount": "700.00",
"periodStartTime": "2024-09-11T07:26:30Z",
"periodEndTime": "2024-09-11T07:26:30Z",
"fiscalReceiptsQuantity": 5,
"nonFiscalReceiptQuantity": 2,
"cancelledFiscalReceiptsQuantity": 1,
"cancelledFiscalReceiptsAmount": "100.00",
"correctedFiscalReceiptsQuantity": 0,
"correctedFiscalReceiptsAmount": "0.00",
"fiscalDayCashAmount": "500.00",
"startingCashInDrawer": "200.00",
"soldInCashAmount": "300.00",
"insertionOperationCashAmount": "50.00",
"insertionOperationCashQuantity": 1,
"withdrawalOperationCashAmount": "30.00",
"withdrawalOperationCashQuantity": 1,
"totalCashRefundAmount": "20.00",
"totalCashAdvancePaymentsAmount": "0.00",
"totalSalesAmountWithoutDiscountAddition": 950,
"totalSalesDiscountQuantity": 2,
"totalSalesDiscountAmount": "50.00",
"fiscalDayGTSales": "1000.00",
"fiscalDayGTSalesTax": "150.00",
"lastTaxChangeTime": "2023-01-01T10:00:00Z",
"taxes": [
{
"taxRate": "21.00",
"taxCode": "M1",
"taxClassifier": "PVM1",
"salesAmountWithoutTax": "1000.00",
"salesAmountWithTax": "1150.00",
"taxAmount": "150.00"
}
],
"payments": [
{
"type": "cash",
"amount": "500.00",
"currency": "EUR"
}
],
"payouts": [
{
"type": "cash",
"amount": "200.00",
"currency": "EUR"
}
],
"advancePayments": [
{
"type": "cash",
"amount": "100.00",
"currency": "EUR"
}
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Successful response
{
"id": 1,
"type": "fiscalDay",
"status": "unsynced",
"fiscalDayNumber": 1,
"documentNumber": "123",
"cashRegistrationNumber": "CR-000000001",
"totalSalesAmount": "1000.00",
"totalSalesTaxAmount": "150.00",
"totalBuyingAmount": "700.00",
"periodStartTime": "2024-09-11T07:26:30Z",
"periodEndTime": "2024-09-11T07:26:30Z",
"fiscalReceiptsQuantity": 5,
"nonFiscalReceiptQuantity": 2,
"cancelledFiscalReceiptsQuantity": 1,
"cancelledFiscalReceiptsAmount": "100.00",
"correctedFiscalReceiptsQuantity": 0,
"correctedFiscalReceiptsAmount": "0.00",
"fiscalDayCashAmount": "500.00",
"startingCashInDrawer": "200.00",
"soldInCashAmount": "300.00",
"insertionOperationCashAmount": "50.00",
"insertionOperationCashQuantity": 1,
"withdrawalOperationCashAmount": "30.00",
"withdrawalOperationCashQuantity": 1,
"totalCashRefundAmount": "20.00",
"totalCashAdvancePaymentsAmount": "0.00",
"totalSalesAmountWithoutDiscountAddition": 950,
"totalSalesDiscountQuantity": 2,
"totalSalesDiscountAmount": "50.00",
"fiscalDayGTSales": "1000.00",
"fiscalDayGTSalesTax": "150.00",
"lastTaxChangeTime": "2023-01-01T10:00:00Z",
"taxes": [
{
"taxRate": "21.00",
"taxCode": "M1",
"taxClassifier": "PVM1",
"salesAmountWithoutTax": "1000.00",
"salesAmountWithTax": "1150.00",
"taxAmount": "150.00"
}
],
"payments": [
{
"type": "cash",
"amount": "500.00",
"currency": "EUR"
}
],
"payouts": [
{
"type": "cash",
"amount": "200.00",
"currency": "EUR"
}
],
"advancePayments": [
{
"type": "cash",
"amount": "100.00",
"currency": "EUR"
}
]
}